#include "MainWindow.h"

#include <QMenuBar>
#include <QToolBar>
#include <QLabel>
#include <QStatusBar>
#include <QMessageBox>
#include <QLabel>
#include <QWidget>


Mainwindow::Mainwindow(QWidget *parent):QMainWindow(parent){

    centralApp = parent;

    this->setObjectName(QString::fromUtf8("MainWindow"));
    this->resize(600, 400);
    this->setStyleSheet(QString::fromUtf8("font: 75 italic 8pt \"Ubuntu\";"));

    menuArchivo = menuBar()->addMenu(trUtf8("&Archivo"));
    menuAyuda = menuBar()->addMenu(trUtf8("A&yuda"));
    barraDeHerramientas = addToolBar(trUtf8("&Archivo"));
    widgetCentral = new QLabel(trUtf8("Widget central"));
    widgetCentral->setFont(QFont("Sans-Serif", 25));
    accionNuevo = new QAction(QIcon("Iconos/Add.png"), trUtf8("&Nuevo"), this);
    accionNuevo->setShortcut(QKeySequence::New);
    accionNuevo->setStatusTip(trUtf8("Crear un nuevo archivo"));

    accionSalir = new QAction(QIcon("Iconos/Shutdown.png"), trUtf8("&Salir"), this);
    accionSalir->setShortcut(QKeySequence::Quit);
    accionSalir->setStatusTip(trUtf8("Salir de la aplicación"));

    accionAcercaDe = new QAction(QIcon("Iconos/Info.png"), trUtf8("&Acerca de"), this);
    accionAcercaDe->setShortcut(QKeySequence("Ctrl+d"));
    accionAcercaDe->setStatusTip(trUtf8("Información sobre la aplicación"));

    menuArchivo->addAction(accionNuevo);
    menuArchivo->addSeparator();
    menuArchivo->addAction(accionSalir);

    menuAyuda->addAction(accionAcercaDe);

    barraDeHerramientas->addAction(accionNuevo);
    barraDeHerramientas->addSeparator();
    barraDeHerramientas->addAction(accionSalir);

    QLabel * label = new QLabel(this);
    label->setObjectName(QString::fromUtf8("label"));
    label->setGeometry(QRect(0, 340, 600, 31));
    label->setLayoutDirection(Qt::LeftToRight);
    label->setStyleSheet(QString::fromUtf8("color: rgb(255, 255, 255);\n" "background-color: rgb(0, 85, 127);\n""font: 75 italic 14pt \"Ubuntu\";"));
    label->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
    label->setText("Trivia 1.0     ");

    setCentralWidget(widgetCentral);
    statusBar()->showMessage(trUtf8("Trivia 1.0"));
    setWindowTitle("Trivia");
    setMinimumSize(600, 400);

    connect(accionNuevo, SIGNAL(triggered()),this, SLOT(accionNuevoLanzada()));

    connect(accionAcercaDe, SIGNAL(triggered()),this, SLOT(accionAcercaDeLanzada()));

    connect(accionSalir, SIGNAL(triggered()),this, SLOT(accionSalirLanzada()));
}

void Mainwindow::accionNuevoLanzada(){
    widgetCentral->setText(trUtf8("Acción \"Nuevo\" lanzada"));
    this->resize(QSize(widgetCentral->sizeHint().width(), 200));
    //centralApp->loadQuestions();
}

void Mainwindow::accionAcercaDeLanzada(){
    QMessageBox::about(this, this->windowTitle(), trUtf8("Trivia 1.0\nMarcos Vega Mendez A66091\nAllan Delgado Sandi A82111"));
}

void Mainwindow::accionSalirLanzada()
{
    exit(0);
}
